Subject: Install Tool: All configuration section does not support array
Description

The install tool "all configuration" section has the neat possibility to
display even custom options configured in localconf.php
For example add:
$TYPO3_CONF_VARS['EXTCONF']['dbal'] = 'test';

and you'll get a text input field.

If I now add additionally to that line
// Modified or inserted by TYPO3 Install Tool.
$TYPO3_CONF_VARS['EXTCONF']['dbal']['handlerCfg'] = array(
    '_DEFAULT' => array(
        'type' => 'adodb',
        'config' => array(
            'driver' => 'oci8',
            'driverOptions' => array(
                'connectSID' => TRUE,
            )
        )
    )
);

there are two problems:
1) the array is not editable by the all configuration section (this
could be an extra bug/feature)
2) adding the array causes the install tool to change the first line to:
$TYPO3_CONF_VARS['EXTCONF']['dbal'] = 'Aest'; (changes the "t" to an
"A") in the install tool and saves the wrong value on enter - which is a
real bug I think.

Reported by Susanne for the related feature.
(issue imported from #M16379)

Related issues:
related to Core - Feature # 23911: Allow array as localconf.php configuration... Closed 2010-11-02

History
#1 - 2013-11-19 11:24 - Alexander Opitz
- Status changed from New to Needs Feedback
- Target version deleted (0)
- TYPO3 Version set to 4.4
- Is Regression set to No

Hi,

as this issue is very old. Does the problem still exists within newer versions of TYPO3 CMS (4.5 or 6.1)?

#2 - 2013-11-19 12:44 - Xavier Perseguers

This is for sure still the case with 4.5, 4.6 and 4.7 but not with 6.x since the "localconf.php" is now fully managed by Core and user modifications should
be made to AdditionalSettings.php.

As it is +/- really related to DBAL (or complex edge cases), I would go for closing this ticket.

#3 - 2013-11-19 13:40 - Alexander Opitz
- Status changed from Needs Feedback to Closed

Ok understand, as we need to change to much for this, and 4.5/4.7 won't accept such changes anymore, I'll close this.

If you think, that this is the wrong decision, then please write to the mailing list typo3.teams.bugs with issue number and an explanation.
